Skip to main content
POST
Add participants to flow

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Path Parameters

campaignId
integer<int64>
required

Unique identifier of the flow that participant will be added to.

Body

application/json

Request to add given participants to the Flow campaign.

participants
FlowParticipant · object[]
required

Array of participants to add.

notifyUrl
string | null

The URL on your callback server on which a report of operation results will be sent.

Maximum string length: 1000
callbackData
string | null

Additional data will be passed in the request to your callback server along with the operation results report.

Maximum string length: 2000

Response

OK

operationId
string
required

Unique identifier of the operation.

Example:

"03f2d474-0508-46bf-9f3d-d8e2c28adaea"